Subject: Re: [PATCH v4] config: add conditional include

From: Matthieu Moy <[email-masked]>
Date: Mon, 22 Aug 2016 15:22:22 +0200

Duy Nguyen <[email-masked]> writes:

> On Mon, Aug 22, 2016 at 7:59 PM, Matthieu Moy
> <[email-masked]> wrote:
>> Duy Nguyen <[email-masked]> writes:
>>
>>> On Sun, Aug 21, 2016 at 4:08 AM, Jakub Narębski <[email-masked]> wrote:
>>>> W dniu 19.08.2016 o 15:54, Jeff King pisze:
>>>>> On Sat, Aug 13, 2016 at 03:40:59PM +0700, Duy Nguyen wrote:
>>>>>
>>>>>> Ping..
>>>>>
>>>>> There was some discussion after v4. I think the open issues are:
>>>>>
>>>>>   - the commit message is rather terse (it should describe motivation,
>>>>>     and can refer to the docs for the "how")
>>>>>
>>>>>   - the syntax might be more clear as:
>>>>>
>>>>>        [include-if "gitdir:..."]
>>>>>
>>>>>     or
>>>>>
>>>>>        [include "gitdir-is:..."]
>>>>
>>>> Or
>>>>
>>>>          [include "if-gitdir:..."]
>>>
>>> I like this one. I can re-roll to address the first two bullet point,
>>> if the last one, the open question, will not become a blocker later
>>> on.
>>
>> I think the syntax should be design to allow arbitrary boolean
>> expression later if needed.
>
> I would be against that. We may extend it more in future, but it
> should be under control, not full boolean expressions.

Why?

I'm not saying we absolutely need it, but if we allow several kinds of
conditions (gitdir-is:... and others in the future), then it's natural
to allow combining them, and arbitrary boolean expression is both simple
and powerful (operators and/or/not and parenthesis and you have
everything you'll ever need).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/